BOS_UNINSTALL(8)

NAME
bos_uninstall - Reverts to the former version of a process's binary file

SYNOPSIS
bos uninstall -server <machine name>
    -file <files to uninstall>+ [-dir <destination dir>]
    [-cell <cell name>] [-noauth] [-localauth] [-help]

bos u -s <machine name> -f <files to uninstall>+
    [-d <destination dir>] [-c <cell name>] [-n] [-l]
    [-h]

DESCRIPTION
The bos uninstall command replaces each binary file specified by the -file argument with its ".BAK" version on the server machine named by the -server argument, which is normally the binary distribution machine for its CPU/operating system type. It also changes the extension on the current ".OLD" version (if any) to ".BAK". Each binary file must reside in the local /usr/afs/bin directory unless the -dir argument names an alternate directory.

To start using the reverted binary immediately, issue the bos restart command. Otherwise, the BOS Server automatically restarts the process at the time defined in the /usr/afs/local/BosConfig file; use the bos getrestart command to display the time and the bos setrestart time to set it.

OPTIONS

-server <machine name>
    Indicates the binary distribution machine on which to revert to the ".BAK" version of binaries. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see bos(8).

    If the machine is not a binary distribution machine and is running an "upclientbin" process, then the files are overwritten the next time the "upclientbin" process fetches the corresponding file from the distribution machine (by default within five minutes).

-file <files to uninstall>+
    Names each binary file to replace with its ".BAK" version.

-dir <destinatino dir>
    Provides the complete pathname of the local disk directory containing each file named by the -file argument. It is necessary only if the binaries are not in the /usr/afs/bin directory.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see bos(8).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see bos(8).

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see bos(8).

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following example command overwrites the /usr/afs/bin/kaserver file on the machine "fs4.abc.com" with its ".BAK" version, and the current ".BAK" version by the ".OLD" version.

   % bos uninstall -server fs4.abc.com -file kaserver

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on the machine named by the -server argument, or must be logged onto a server machine as the local superuser "root" if the -localauth flag is included.

SEE ALSO
BosConfig(5), KeyFile(5), UserList(5), bos(8), bos_getrestart(8), bos_restart(8), bos_setrestart(8), upclient(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.